View Single Post
Old 03-19-2010, 04:15 PM   #1 (permalink)
darklighthim
New Member
 
Join Date: Mar 2010
Model: 8520
OS: 4.6.1.275
PIN: N/A
Carrier: Vodafone
Posts: 3
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default 8520 curve and App world

Please Login to Remove!

I just got my first ever BlackBerry which a Curve 8520 as per tittle but i'm trying to figure out if i can install the App world on it.

I've seen somewhere that said i need BlackBerry OS version 4.2.0 or higher on several devices to install App world and one of the devices listed was a Curve 8520 but when i goto install it via Internet explorer i get my device is unsupported....etc, I have v4.6.1.275 installed if that's neccessary.

Can i get the App world on my particular BlackBerry and if so how can i install it.

Cheers

Last edited by darklighthim : 03-19-2010 at 04:18 PM.
Offline   Reply With Quote